=== debian/changelog ===
jreen (1.1.1-0ubuntu1) raring; urgency=low

  [ Prasad Murthy ]
  * Prepare for archive inclusion
  * Update debian/copyright

  [ Harald Sitter ]
  * Bump standards version to 3.9.4

 -- Prasad Murthy <phoenix_firebrd@yahoo.com>  Fri, 08 Mar 2013 00:00:33 +0530

jreen (1.1.1-0~raring1) raring; urgency=low

  * New upstream release

 -- Harald Sitter <apachelogger@ubuntu.com>  Mon, 14 Jan 2013 16:29:17 +0100

jreen (1.0.5-0~git~quantal1) quantal; urgency=low

  * Forward port to quantal

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 24 Jun 2012 16:19:30 +0530

jreen (1.0.5-0~git~precise1) precise; urgency=low

  * New upstream release 

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 07 Apr 2012 23:10:14 +0200

jreen (1.0.1-0~git~precise1) precise; urgency=low

  * Initial release (git 1.0.1 tag)

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 09 Mar 2012 23:38:49 +0100
