=== debian/control ===
Source: jreen
Section: libs
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Philip Muškovac <yofel@kubuntu.org>
Build-Depends: cmake,
               debhelper (>= 8.0.0),
               libidn11-dev,
               libqca2-dev,
               libqt4-dev (>= 4:4.6.0),
               zlib1g-dev
Standards-Version: 3.9.4
Homepage: https://gitorious.org/jreen

Package: libjreen1
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: tomahawk (<< 0.3.2~)
Replaces: tomahawk (<< 0.3.2~)
Description: Qt XMPP library
 Jreen is an extensible Qt-based asynchronious Jabber library.

Package: libjreen-dev
Section: libdevel
Architecture: any
Depends: libjreen1 (= ${binary:Version}), ${misc:Depends}
Description: Qt XMPP library - development files
 Jreen is an extensible Qt-based asynchronious Jabber library.
 .
 This package contains the files that are needed to develop applications
 that use jreen.

Package: libjreen-dbg
Section: debug
Architecture: any
Depends: libjreen1 (= ${binary:Version}), ${misc:Depends}
Breaks: tomahawk-dbg (<< 0.3.2~)
Replaces: tomahawk-dbg (<< 0.3.2~)
Description: Qt XMPP library - debugging symbols
 Jreen is an extensible Qt-based asynchronious Jabber library.
 .
 This package contains the debugging symbols for debugging crashes in the
 jreen library
