=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --dbg-package=libjreen-dbg --parallel
