## jreen 1.2.0%2Bds

=== debian/changelog ===
jreen (1.2.0+ds-5) unstable; urgency=medium

  * QA upload.
  * Use -DCMAKE_POLICY_VERSION_MINIMUM=3.5.  Closes: #1113060.
  * Drop Rules-Requires-Root: no.
  * Standards-Version: 4.7.2.
  * Run wrap-and-sort -satbk.
  * Fix whitespace in changelog.
  * Bump debian/* copyright years.
  * Use watch v5.

 -- Simon Josefsson <simon@josefsson.org>  Sat, 15 Nov 2025 00:57:53 +0100

jreen (1.2.0+ds-4) unstable; urgency=medium

  * QA upload.
  * Standards-Version: 4.7.0
  * Fix watch and Homepage to use github (qutim.org is gone).

 -- Simon Josefsson <simon@josefsson.org>  Tue, 18 Feb 2025 11:28:47 +0100

jreen (1.2.0+ds-3) unstable; urgency=medium

  * QA upload.
  * Use libidn-dev instead of libidn11-dev.  Closes: #1086102.

 -- Simon Josefsson <simon@josefsson.org>  Thu, 26 Dec 2024 22:42:12 +0100

jreen (1.2.0+ds-2) unstable; urgency=medium

  * QA upload.
  * sed s/libgsasl7-dev/libgsasl-dev/g -i debian/control
    (Closes: #1051176)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 03 Sep 2023 22:38:29 +0200

jreen (1.2.0+ds-1) unstable; urgency=medium

  * QA upload.
  * Orphan the package.
  * Acknowledge previous upload.
  * debian/control:
    + Bump Standards-Version to 4.6.0.
    + Bump debhelper compat to v13.
    + Use correct Vcs-* URLs.
    + Add speex as build-dep to enable speex support.
    + Use "Rules-Requires-Root: no".
  * debian/rules: Refresh and drop custom --builddirectory.

 -- Boyuan Yang <byang@debian.org>  Fri, 01 Apr 2022 13:18:55 -0400

jreen (1.2.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop Qt4 packages (Closes: #874918)

 -- Moritz Muehlenhoff <jmm@debian.org>  Wed, 28 Aug 2019 23:02:11 +0200
