## jreen 1.2.0+ds

=== debian/control ===
Source: jreen
Section: libs
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 libgsasl-dev,
 libidn-dev,
 libjdns-dev,
 libqca-qt5-2-dev,
 libqjdns-qt5-dev,
 libspeex-dev,
 qtbase5-dev,
 zlib1g-dev,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://github.com/euroelessar/jreen
Vcs-Git: https://salsa.debian.org/debian/jreen.git
Vcs-Browser: https://salsa.debian.org/debian/jreen

Package: libjreen-qt5-1
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: powerful Jabber/XMPP library implemented in Qt5/C++
 Jreen is a lightweight XMPP library, implementing a large amount
 of protocol extensions (XEP). It is fit with Qt coding paradigms,
 so a Qt5 application developer can easily use any XMPP features.

Package: libjreen-qt5-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libjreen-qt5-1 (= ${binary:Version}),
 ${misc:Depends},
Description: powerful Jabber/XMPP library (Qt5 build) - development files
 Jreen is a lightweight XMPP library, implementing a large amount
 of protocol extensions (XEP). It is fit with Qt coding paradigms,
 so a Qt5 application developer can easily use any XMPP features.
 .
 This package provides development headers for the library.
