=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND =

export QT_SELECT := 5

include /usr/share/dpkg/default.mk

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure --  \
	-DLIB_SUFFIX=/$(DEB_HOST_MULTIARCH) \
	-DJREEN_USE_SYSTEM_JDNS=ON \
	-DQJDNS_SUFFIX=-qt5 \
	$(NULL)


override_dh_strip:
	dh_strip --dbgsym-migration='libjreen-qt5-dbg (<< 1.2.0-3~)'
